/*
	This file is part of Knights, a chess board for KDE SC 4.
	Copyright 2009-2010  Miha Čančula <miha.cancula@gmail.com>

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License as
	published by the Free Software Foundation; either version 2 of
	the License or (at your option) version 3 or any later version
	accepted by the membership of KDE e.V. (or its successor approved
	by the membership of KDE e.V.), which shall act as a proxy 
	defined in Section 14 of version 3 of the license.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "gamedialog.h"

using namespace Knights;


GameDialog::GameDialog(QWidget* parent, Qt::WindowFlags f): QWidget(parent, f)
{
    ui.setupUi(this);
}

Piece::Color GameDialog::color() const
{
    if (ui.colorBlack->isChecked())
    {
        return Piece::Black;
    }
    else if (ui.colorWhite->isChecked())
    {
        return Piece::White;
    }
    else
    {
        return Piece::NoColor;
    }
}

QTime GameDialog::opponentTime() const
{
    return QTime();
}

QTime GameDialog::playerTime() const
{
    return QTime();
}

Settings::EnumProtocol::type GameDialog::protocol() const
{
    if (ui.oppComp->isChecked())
    {
        return Settings::EnumProtocol::XBoard;
    }
    else
    {
        return Settings::EnumProtocol::None;
    }
}

QString GameDialog::program()
{
    if (ui.oppComp->isChecked())
    {
        return ui.khistorycombobox->currentText();
    }
    else
    {
        return QString();
    }
}




GameDialog::~GameDialog()
{

}



